Nigerian Prince Meme

    create-flow-upgrade

    2.0.3 • Public • Published

    flow-upgrade

    A utility for upgrading your codebase to the latest version of Flow.

    Install using yarn add flow-upgrade. We expect prettier to be installed as a peer dependency wherever you are running flow-upgrade.

    You can then run:

    yarn run flow-upgrade <current flow version> <target flow version>
    

    You may also use npx:

    npx flow-upgrade <current flow version> <target flow version>
    

    We also supply the flow-codemod binary:

    yarn run flow-codemod <codemod name>
    

    If you just want to run a codemod without specifying Flow versions.

    Options

    all

    By default, Flow will only upgrade files that have an // @flow header comment. If you want to upgrade all of your JavaScript files you may pass in the --all:

    yarn create flow-upgrade --all
    

    prettierrc

    Path to a .prettierrc file to use. Upgrade codemods rely upon prettier to print the resulting code after transformation. If this is not provided, we will just use the defaults.

    Keywords

    none

    Install

    npm i create-flow-upgrade

    DownloadsWeekly Downloads

    10

    Version

    2.0.3

    License

    MIT

    Unpacked Size

    47.3 kB

    Total Files

    30

    Last publish

    Collaborators

    • mroch
    • gabelevi
    • flowtype
    • jbrown215